tag @e[tag=p] add inGame
effect clear @a

tellraw @a [{"text":"----------------------------------------", "color":"yellow"}]
tellraw @a [{"text":"\nR","color":"dark_red","bold":true},{"text":"v","color":"white","bold":true},{"text":"B","color":"dark_blue","bold":true},{"text":" Paintball\n","color":"gold","bold":true}]
tellraw @a [{"text":"    Blue Players: ", "color":"blue"}, {"selector":"@a[team=blue]","color":"yellow"}]
tellraw @a [{"text":"    Red Players: ", "color":"red"}, {"selector":"@a[team=red]","color":"yellow"}]
tellraw @a [{"text":"\nTo end the game early, go /trigger endGame.", "color":"gold"}]
tellraw @a [{"text":"\n----------------------------------------\n", "color":"yellow"}]

#OVERALL PLAYER SCORE SETUP
bossbar set minecraft:gametime players @a
scoreboard players set @a personalKills 0
scoreboard players set @a killstreak 0
scoreboard players set @a bestKillstreak 0
scoreboard players set @a epearlTimer 0
scoreboard players set @a epearlTimerMax 100
scoreboard players set @a bowTimer 0
scoreboard players set @a bowTimerMax 160
scoreboard players set @a usedEpearl 1
scoreboard players set @a usedBow 1
scoreboard players enable @a endGame
#game start timer score setup
scoreboard players set logicController startTimer 60
scoreboard players set logicController deathMessageRNG 10

#ID System for kill registery
scoreboard players reset @e[tag=p] playerID
scoreboard players set logicController playerID 0
execute as @e[tag=p] run function paintball_war:killregistery/give_player_id

scoreboard players set Blue killsOverall 0
scoreboard players set Red killsOverall 0
#END OF SCORE SETUP

#TIMER SETUP
bossbar set minecraft:gametime players @a
execute if score logicController gameTimeAmt matches 0 run scoreboard players set logicController gameTimeAmt 300
execute if score logicController gameTimeAmt matches 0 run bossbar set minecraft:gametime max 300
scoreboard players operation logicController secondsLeft = logicController gameTimeAmt
scoreboard players set logicController mainTimer 20
scoreboard objectives setdisplay sidebar killsOverall
#sets max for time left
execute store result bossbar minecraft:gametime max run scoreboard players get logicController gameTimeAmt

#SPEEDBALL MAP
execute if score logicController currentMap matches 0 run spawnpoint @a[team=red] -13 4 13
execute if score logicController currentMap matches 0 run spawnpoint @a[team=blue] 13 4 -13

#PURPUR PARKOUR MAP
execute if score logicController currentMap matches 1 run spawnpoint @a[team=red] -84 4 245
execute if score logicController currentMap matches 1 run spawnpoint @a[team=blue] -118 4 245

#CASTLE MAP
execute if score logicController currentMap matches 2 run spawnpoint @a[team=red] -81 24 477
execute if score logicController currentMap matches 2 run spawnpoint @a[team=blue] -119 24 521

execute at @a run playsound minecraft:entity.arrow.hit_player block @a -13 4 13 2 0.8
execute at @a run playsound minecraft:entity.arrow.hit_player block @a 13 4 -13 2 0.8
execute at @a run playsound minecraft:entity.arrow.hit_player block @a -84 4 245 2 0.8
execute at @a run playsound minecraft:entity.arrow.hit_player block @a -118 4 245 2 0.8

#Setting up spawnpoint entities for teams
execute if score logicController currentMap matches 0 run summon minecraft:armor_stand 13 4 -13 {Invisible:1b,Invulnerable:1b,Tags:["r_spawn"]}
execute if score logicController currentMap matches 0 run summon minecraft:armor_stand -13 4 13 {Invisible:1b,Invulnerable:1b,Tags:["b_spawn"]}
execute if score logicController currentMap matches 1 run summon minecraft:armor_stand -84 4 245 {Invisible:1b,Invulnerable:1b,Tags:["r_spawn"]}
execute if score logicController currentMap matches 1 run summon minecraft:armor_stand -118 4 245 {Invisible:1b,Invulnerable:1b,Tags:["b_spawn"]}
execute if score logicController currentMap matches 2 run summon minecraft:armor_stand -81 22 477 {Invisible:1b,Invulnerable:1b,Tags:["r_spawn"]}
execute if score logicController currentMap matches 2 run summon minecraft:armor_stand -119 22 521 {Invisible:1b,Invulnerable:1b,Tags:["b_spawn"]}

#WE HAVE TO TP BY HAND AT THE START, BECAUSE WE DONT WANT ANY SNOWBALLS, and we don't want them to move, so give them slowness 255
execute if score logicController currentMap matches 0 run tp @a[team=blue] 13 5 -13 45 0
execute if score logicController currentMap matches 0 run tp @a[team=red] -13 5 13 -135 0

execute if score logicController currentMap matches 1 run tp @a[team=blue] -118 5 245 -90 0
execute if score logicController currentMap matches 1 run tp @a[team=red] -84 5 245 90 0

execute if score logicController currentMap matches 2 run tp @a[team=blue] -119 24 521 180 0
execute if score logicController currentMap matches 2 run tp @a[team=red] -81 24 477 0 0
effect give @a minecraft:slowness 5 255 true